#
# spec file for package perl-Net-Whois-RIPE
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Net-Whois-RIPE
Version:        2.006
Release:        2.1
%define cpan_name Net-Whois-RIPE
Summary:        Pure-Perl Implementation of the Ripe Database Client
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-Whois-RIPE/
Source0:        http://www.cpan.org/authors/id/A/AA/AASSAD/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Iterator)
Requires:       perl(Iterator)
Recommends:     perl(LWP::UserAgent)
%{perl_requires}

%description
a pure-Perl implementation of the RIPE Database client.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README README.md TODO

%changelog
* Sun Sep 20 2015 coolo@suse.com
- updated to 2.006
  see /usr/share/doc/packages/perl-Net-Whois-RIPE/Changes
  2.006000    2015-05-23
  - Fix bug in attribute autogeneration which affected Inet6Num.pm
  2.005006    2015-05-23
  - Add helper scripts to automatically cope with RIPE database modification
  - Modify Objects to match RIPE database version 1.79.2
  - Fix to make Net::Whois::Object now emit warning instead of dieing on unknwon attribute
* Tue Apr 14 2015 coolo@suse.com
- updated to 2.005005
  see /usr/share/doc/packages/perl-Net-Whois-RIPE/Changes
  2.005005    2015-03-26
  - Fix to make Net::Whois::Generic use 'hostname' parameter
    (reported by Stanislav Sinyagin)
  - Fix on Net::Whois::Object::AutNum to accept lowecase AutNum name
* Sat Mar 22 2014 coolo@suse.com
- updated to 2.005001
* Tue Nov 26 2013 coolo@suse.com
- updated to 2.005001
  - Add support for APNIC objects through Net::Whois::Generic
  - Simplify query options handling in Net::Whois::Generic
    (remove keepalive options)
  - Start adding some documentation (far from enough although)
  - Add support for generic objects (from various sources, AFRINIC being the first implemented)
    through Net::Whois::Generic
* Tue Aug  6 2013 coolo@suse.com
- updated to 2.004002
  - Add 'abuse_c' to AutNum object
    (https://www.ripe.net/ripe/docs/ripe-563)
* Sat Jul 27 2013 coolo@suse.com
- updated to 2.004001
  - Remove Test::Exception requirement
  - Add one test
  - Fix 'delete' mode on accessor
  - Add awhois.pl skeleton script
    Another contribution from Moritz Lenz :
  - Add abuse_c field to Organisation
  - Inet6num has an attribute 'assignment_size'
  - Unknown attributes in Object->new do not die anymore
  - Add 'delete' mode to attribute update
  - Minor documentation fix
  - Add the clone() method to Net::Whois::Object
  - Enhance accessor for multiple value attributes
    (enable multiple values in default append mode, add a replace mode)
  - Add a README.md skeleton for github
  - Changes date format in Changes file
    (to comply to Test-Changes spec)
  - Add new attributes (geoloc, language, abuse_mailbox) to Organisation object
    Add 'geoloc', 'language', 'abuse_mailbox' to the Organisation object
    Add 'org' to the PeeringSet object
    Add 'org' attribute to the RtrSet object
    Add 'org' attribute to the RouteSet object
    Add 'pingable', 'ping_hdl' and 'org' attribute to the Route(6) objects
    Add 'org' attribute to the Role object
    Add 'org' and 'abuse_mailbox' attribute to the Person object
    Add 'geoloc' and 'language' attribute to the InetNum object
    Add 'geoloc' and 'language' attribute to Inet6Num object
    Add 'org' and 'mnt_lower' attribute to AsSet object
    Update tests accordingly
* Fri Nov 25 2011 vcizek@suse.com
- update to 2.00009
  - bugfix
- licence in spdx format
* Thu Oct 27 2011 vcizek@suse.com
- update to 2.00008
  - New option that enables unfiltered object output responses.
    This produces objects that can be presented back to the
    RIPE Database for updating.
* Wed Mar 16 2011 chris@computersalat.de
- fix deps
  o Req: perl(IO::Socket::INET), perl(IO::Select)
- fix License
  o perl -> GPL+ or Artistic
* Wed Feb 16 2011 vcizek@novell.com
- update to 2.00003
  * allow almost all query options understanded by the RIPE Database Server
  * using perl-Iterator, instead of own iterator implementation
* Sat Feb  5 2011 chris@computersalat.de
- update to 2.00002
  * This is a complete rewrite of version 1.31 of the module, which I
    inherited from Paul Gampe during the time I've worked for the
    RIPE NCC, between Nov 2007 and Feb 2010.
- noarch pkg
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Mon Jan 25 2010 anicka@suse.cz
- update to 1.31
  * adding whois.ripe.net as the official host for package tests.
  * applying the patch provided by Ulrich Zehl <ulrich@topfen.net> which allows
  Net::Whois::RIPE to correctly recognize answers from the whois.radb.net and
  whois.altdb.net instead of timming out.
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Dec 11 2007 kssingvo@suse.de
- first try with version 1.23
